curl --request POST \
--url https://api.chift.eu/consumers/{consumer_id}/pos/customers \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"phone": "+32475123456",
"email": "john.doe@gmail.com",
"address": {
"name": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street": "Avenue de la République",
"number": "123",
"box": "A",
"country": "FR"
}
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/pos/customers"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"phone": "+32475123456",
"email": "john.doe@gmail.com",
"address": {
"name": "<string>",
"city": "<string>",
"postal_code": "<string>",
"street": "Avenue de la République",
"number": "123",
"box": "A",
"country": "FR"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
phone: '+32475123456',
email: 'john.doe@gmail.com',
address: {
name: '<string>',
city: '<string>',
postal_code: '<string>',
street: 'Avenue de la République',
number: '123',
box: 'A',
country: 'FR'
}
})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/pos/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"first_name": "John",
"last_name": "Doe",
"phone": "+32475123456",
"email": "john.doe@gmail.com",
"created_on": "2025-01-01T00:00:00Z",
"addresses": [],
"loyalty": 100,
"birthdate": "1990-01-01"
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Create one customer
Create a customer
Path Parameters
Body
First name of the customer
1"John"
Last name of the customer
1"Doe"
Phone number (mobile, home, work, ...) of the customer
"+32475123456"
Email address of the customer
"john.doe@gmail.com"
Address of the customer
Show child attributes
Show child attributes
Response
Successful Response
Unique identifier of the customer
"371ca583-d218-8000-b236-397532cf0e52"
Name (first name + last name) of the customer
"John Doe"
First name of the customer
"John"
Last name of the customer
"Doe"
Phone number (mobile, home, work, ...) of the customer
"+32475123456"
Email address of the customer
"john.doe@gmail.com"
Date and time when the customer was created
"2025-01-01T00:00:00Z"
List of addresses of the customer
Show child attributes
Show child attributes
Loyalty points of the customer
100
Birthdate of the customer
"1990-01-01"